Projects
Create a project
Create a reusable project environment.
POST
/
v1
/
projects
Create a project
curl --request POST \
--url https://api.tembo.io/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sizes": [],
"description": "<string>",
"includeDeps": true,
"includeSkills": true,
"setupScript": "<string>",
"codeRepositoryIds": [
"<string>"
],
"runNow": true
}
'import requests
url = "https://api.tembo.io/v1/projects"
payload = {
"name": "<string>",
"sizes": [],
"description": "<string>",
"includeDeps": True,
"includeSkills": True,
"setupScript": "<string>",
"codeRepositoryIds": ["<string>"],
"runNow": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sizes: [],
description: '<string>',
includeDeps: true,
includeSkills: true,
setupScript: '<string>',
codeRepositoryIds: ['<string>'],
runNow: true
})
};
fetch('https://api.tembo.io/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobIds": [
"<string>"
],
"project": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"includeDeps": true,
"includeSkills": true,
"name": "<string>",
"setupScript": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"activeSnapshots": [
{
"id": "<string>",
"size": "nano",
"builtAt": "2023-11-07T05:31:56Z"
}
],
"codeRepositoryIds": [
"<string>"
],
"color": "neutral",
"defaultForSizes": [
"nano"
],
"icon": "folder",
"sizes": [
"nano"
],
"warmPoolEnabled": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 120Minimum array length:
1Available options:
nano, micro, medium, large, xl, xxl, ultra Maximum string length:
300Maximum string length:
20000Required string length:
1 - 255Available options:
neutral, red, orange, yellow, green, teal, blue, purple, pink Available options:
folder, code, terminal, book, brain, bug, building, cloud, globe, idea, tools, magic, processor, sandbox, server, tasks, tactics, images, database, api, mobile, package Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a project
